﻿
function setTitle(content) {
    var contentDiv = document.getElementById("title");
    contentDiv.innerHTML = content;
    return;
}
function setTitleOther(content) {
    var contentDiv = document.getElementById("titleother");
    contentDiv.innerHTML = content;
    return;
}
function setContent(content) {
    var contentDiv = document.getElementById("detailcontent");
    contentDiv.innerHTML = content;
    return;
}
function setContentOther(content) {
    var contentDiv = document.getElementById("detailother");
    contentDiv.innerHTML = content;
    return;
}

function imageLazyLoad()
{
    $("img.lazy").lazyload();
}


function GetImgSrc(id)
{ 
    window.external.notify(id);
} 

function GetHref(href)
{
    window.external.notify(href);
}

function doZoom(size)
{
    document.getElementById('paragraph').style.fontSize = size + 'px';
}    

function getScrollingPosition( newsid ) {
    var position = 0;
    if ( typeof window.pageYOffset != 'undefined') { 
        position = window.pageYOffset;
    } else if ( typeof document.documentElement.scrollTop != 'undefined' && document.documentElement.scrollTop > 0) {
        position = document.documentElement.scrollTop;          
    } else if (typeof document.body.scrollTop != 'undefined') {
        position = document.body.scrollTop;
    }
    window.external.notify('scrollpos:' + position + ',newsid:' + newsid);
    return position;
}

function clickRelateNews(newsid)
{
    window.external.notify('related:' + newsid);
    return false;
}

function SwitchToDay(mode)
{
    document.getElementsByTagName('body')[0].className = '';
    document.getElementsByTagName('body')[0].style.background = '#F2F2F2';
    document.getElementById('title').style.color = '#111111';
    document.getElementById('other').style.color = '#8E8E8E';
    document.getElementById('detailcontent').style.color = '#454545';

    var imgs = document.getElementsByTagName('img');
    for(i = 0;i < imgs.length;i++)
    {
        imgs[i].style.opacity = 1.0;
    }
    if(mode != 'ipush')
    {
        try
        {
            document.getElementById('irecomment').style.background = '#f2f2f2';
            document.getElementById('irecomment').style.borderStyle = 'solid';
            document.getElementById('irecomment').style.borderColor='#dfdfdf';
            document.getElementById('richProAppTitle').style.color = '#454545';
            document.getElementById('richProAppDesc').style.color = '#a5a5a5';
        }
        catch(err)
        {
        }
    }
}

function SwitchToNight(mode1)
{
    document.getElementsByTagName('body')[0].className = 'night';
    document.getElementsByTagName('body')[0].style.background = '#121212';
    document.getElementById('title').style.color = '#6f6f6f';
    document.getElementById('other').style.color = '#5d5d5d';
    document.getElementById('detailcontent').style.color = '#6c6c6c';

    var imgs = document.getElementsByTagName('img');
    for(i = 0;i < imgs.length;i++)
    {
        imgs[i].style.opacity = 0.6;
    }
    if(mode1 != 'ipush')
    {
        try
        {
            document.getElementById('irecomment').style.background = '#191919';
            document.getElementById('irecomment').style.borderStyle = 'solid';
            document.getElementById('irecomment').style.borderColor='#595959';
            document.getElementById('richProAppTitle').style.color = '#7D8384';
            document.getElementById('richProAppDesc').style.color = '#757575';
        }
        catch(err)
        {
        }
    }
}

// 修正乐视视频无法播放的问题
function fix_letv_video() {
    $('video').each(function () {
        var src = $(this).attr('src');
        src = src.replace('ostype=ios', 'ostype=android');
        src = src.replace('tss=ios', 'tss=no');
        $(this).attr('src', src);
        $(this).attr('style', 'width:100%;');
        $(this).parent().attr('style', 'width:100%;');
        $(this).parent().parent().attr('style', 'width:100%;');
    });
}

function copyText(txt) {
    if (window.clipboardData) {
        window.clipboardData.clearData();
        window.clipboardData.setData("text", txt);
        window.clipboardData.setData("Text", txt);
    }
}

//////////////////////////////////////////////////////////////////////////////
// 手势识别
var myGesture;
var myADGesture;
var myRelatedGesture;
var myElement;
var myADElement;
var myRelatedElement;
var gestureStartX;

function gestureInit() {
    gesturePrepareTarget('paragraph', gestureListener);
    gesturePrepareTarget('adcontent', gestureListener);
    gesturePrepareTarget('related', gestureListener);

    myGesture = new MSGesture();
    myElement = document.getElementById('paragraph');
    myGesture.target = myElement;

    myADGesture = new MSGesture();
    myADElement = document.getElementById('adcontent');
    myADGesture.target = myADElement;

    myRelatedGesture = new MSGesture();
    myRelatedElement = document.getElementById('related');
    myRelatedGesture.target = myRelatedElement;
}

function onLoad() {
    gestureInit()
}

function gesturePrepareTarget(targetId, eventListener) {
    var target = document.getElementById(targetId);
    target.addEventListener('MSGestureStart', eventListener, false);
    target.addEventListener('MSGestureEnd', eventListener, false);
    target.addEventListener('MSGestureChange', eventListener, false);
    target.addEventListener('MSInertiaStart', eventListener, false);
    target.addEventListener('MSGestureTap', eventListener, false);
    target.addEventListener('MSGestureHold', eventListener, false);
    target.addEventListener('pointerdown', eventListener, false);
}

function getstureReset() {
    myGesture.reset();
    gestureStartX = 0;
}

function gestureListener(evt) {
    if (document.msFullscreenElement)
    {
        return;
    }
    window.external.notify('gestures:' + evt.type + '=' + evt.clientX + '#' + evt.translationX);
    if (evt.type == 'pointerdown') {
        myGesture.addPointer(evt.pointerId);
        gestureStartX = evt.clientX;
    }
    else if (evt.type == 'MSGestureStart') {
        gestureStartX = evt.clientX;
    }
    else if (evt.type == 'MSGestureChange') {
        if (gestureStartX == 'undefined')
        {
            gestureStartX = evt.clientX;
        }
        var translateX = evt.clientX - gestureStartX
        if (translateX < -60) {
            window.external.notify('gestures:goforward');
            gestureStartX = evt.clientX;
            myGesture.reset();
        }
        else if (translateX > 60) {
            window.external.notify('gestures:goback');
            gestureStartX = evt.clientX;
            myGesture.reset();
        }
    }
    else if (evt.type == 'MSGestureEnd')
    {
        gestureStartX = evt.clientX;
        myGesture.reset();
    }
}